import service from "./index";
const api = '/mediate/cases/litigant/'
// contactPerson
const apiContactPerson = {
    // 当事人
    getLitigantByCaseId: data => {
        return service.service.get(`${api}getLitigantByCaseId?id=${data}`)
    },
    // 删除
    contactPersonDelete: data => {
        return service.service.post(`${api}deleteById?id=${data}`)
    },
    // 编辑
    contactPersonUpdate: data => {
        return service.service.post(`${api}updateById`, data)
    },
    // 申请人-债券人
    creditorPage: data => {
        return service.service.post(`${api}creditor/page`, data, {hideLoading:true})
    },
    creditorAdd: data => {
        return service.service.post(`${api}creditor/add`, data)
    },
    // 被申请人-债务人
    debtorPage: data => {
        return service.service.post(`${api}debtor/page`, data, {hideLoading:true})
    },
    debtorAdd: data => {
        return service.service.post(`${api}debtor/add`, data)
    },
    // 代理人
    agentPage: data => {
        return service.service.post(`${api}agent/page`, data, {hideLoading:true})
    },
    agentAdd: data => {
        return service.service.post(`${api}agent/add`, data)
    },
}
export default apiContactPerson;